//This JSON was modified by AgentMindStorm (@agentms_). Please do not use this document without permission.
{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.zombie_villager_v2_base": {
      "geometry": "Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],
      "textures": [
        "Texture.default"
      ],
      "is_hurt_color": {
        "r": "1.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.35"
      }
    },
    "controller.render.zombie_villager_v2_masked": {
      "arrays": {
        "textures": {
          "Array.biomes": [
            "Texture.plains",
            "Texture.desert",
            "Texture.jungle",
            "Texture.savanna",
            "Texture.snow",
            "Texture.swamp",
            "Texture.taiga"
          ]
        }
      },
      "geometry": "Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],
      //Baby zombie villagers on Console Edition render the head and hat layer of biome clothing all the time.
      "textures": [
        "Array.biomes[query.mark_variant]"
      ],
      "is_hurt_color": {
        "r": "1.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.35"
      }
    },
    "controller.render.zombie_villager_v2_level": {
      "arrays": {
        "textures": {
          "Array.levels": [
            "Texture.level_iron",
            "Texture.level_gold",
            "Texture.level_gold",
            "Texture.level_emerald",
            "Texture.level_diamond"
          ]
        }
      },
      "rebuild_animation_matrices": true,
      "geometry": "Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],
      "part_visibility": [
        { "*": false }
      ],
      "textures": [
        "Array.levels[variable.level_index]"
      ],
      "is_hurt_color": {
        "r": "1.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.35"
      },
      "on_fire_color": {
        "r": "0.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.0"
      }
    }
  }
}